<?php

namespace GriffinForms\Admin\Language;

class FormStyle extends \GriffinForms\Admin\Language\Format
{
    protected static $instance;
    
    protected function headingcreateFormStyle()
    {
        return __('New Style', 'griffinforms-form-builder');
    }        
    
    protected function headingEditFormStyle()
    {
        return __('Edit Style', 'griffinforms-form-builder');
    }    
    
    protected function typographyNavTab()
    {
        return __('Typography', 'griffinforms-form-builder');
    }    
    
    protected function designNavTab()
    {
        return __('Design', 'griffinforms-form-builder');
    }
    
    protected function elementDesignLabel()
    {
        return __('Design Elements', 'griffinforms-form-builder');
    }
    
    protected function customJsNavTab()
    {
        return __('JavaScript', 'griffinforms-form-builder');
    }    
    
    protected function customCssNavTab()
    {
        return __('CSS', 'griffinforms-form-builder');
    }

    protected function backgroundcolorlabel()
    {
        return __('Background Color', 'griffinforms-form-builder');
    }
    
    protected function createItem()
    {
        return __('Save Style', 'griffinforms-form-builder');
    }    
       
    public static function getInstance()
    {
        if (self::$instance == null)
        {
            self::$instance = new FormStyle();
        }
        
        return self::$instance;
    }
    
    private function __construct() 
    {
    }
}